services:
  grafana:
    container_name: grafana
    image: grafana/grafana:11.4.0
    healthcheck:
      test: ["CMD", "wget", "-qO-", "http://localhost:3000"]
      interval: 20s
      start_period: 30s
      timeout: 5s
      retries: 10
    ports:
      - 3333:3000
    restart: unless-stopped
    environment:
      - GF_AUTH_ANONYMOUS_ENABLED=true
      - GF_AUTH_ANONYMOUS_ORG_ROLE=Admin
    volumes:
      - /opt/grafana:/var/lib/grafana
      # - /opt/grafana/grafana.ini:/etc/grafana/grafana.ini
    extra_hosts:
      - host:192.168.2.200
